# Connect to a Network Establish a direct, low-latency connection between your networks and your ports and virtual devices. ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. 2. Get your Fabric network information - send a `POST` request to the [`fabric/v4/networks/search`](https://docs.equinix.com/api-catalog/fabricv4/networks/searchnetworks.md) endpoint to search and retrieve a list of your available networks. 3. Determine Your Port or Virtual Device Information. * Retrieve your Equinix Fabric ports information using the [Get All Ports](https://docs.equinix.com/api-catalog/fabricv4/ports/getports.md) endpoint. To find information for a specific port use the [Get Specified Port](https://docs.equinix.com/api-catalog/fabricv4/ports/getportbyuuid.md) endpoint. * Determine your Network Edge device information. You need a provisioned Equinix Virtual Device/Redundant Devices/Cluster with a registered license. Check your available virtual devices and clusters by calling [Get Virtual Devices](https://docs.equinix.com/api-catalog/networkedgev1/virtual-device/getvirtualdevices.md) or [Get Virtual Device {uuid}](https://docs.equinix.com/api-catalog/networkedgev1/virtual-device/getvirtualdevicebyuuid.md). You may choose any available interface on the device for your connection. However, Equinix will select an interface if you do not specify one. ## Creating a Connection from a Tagged Port to an EVPLAN Network[​](#creating-a-connection-from-a-tagged-port-to-an-evplan-network "Direct link to Creating a Connection from a Tagged Port to an EVPLAN Network") To create a connection from a Tagged Port to an EVPLAN Network, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. Specify your connection's configuration details in the body of the request. | | **POST /fabric/v4/connections** | | ---------------- | ----------------------------------------------------------------------------------- | | Method | `POST` | | Endpoint | `/fabric/v4/connections` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | Not applicable | | Body Parameters | `type`, `name`, `order`, `bandwidth`, `aSide`, `zSide`, `notifications`, redundancy | To safely validate this request in production without creating a connection, see [Testing in Production (API Dry Run)](https://docs.equinix.com/equinix-api/testing/testing-in-production-dry-run.md). Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{   "type": "EVPLAN_VC",   "name": "MY-EVPLAN-CONNECTION-1",   "bandwidth": 1000,   "aSide": {     "accessPoint": {       "type": "COLO",       "port": {         "uuid": "9127bb72-5f4f-4517-be74-3af7ce612687"       },       "linkProtocol": {         "type": "DOT1Q",         "vlanTag": 300       }     }   },   "zSide": {     "accessPoint": {       "type": "NETWORK",       "network": {         "uuid": "25f8884e-85e3-4eaa-8ea9-a7ad2ca5b3c2"       }     }   },   "order": {     "purchaseOrderNumber": "1-129105284100"   },   "notifications": [     {       "type": "ALL",       "emails": [         "test@equinix.com",         "test1@equinix.com"       ]     }   ] }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md). Sample Response: ``` { "type": "EVPLAN_VC", "href": "https://uat2api.npclouda.equinix.com/fabric/v4/connections/01df5124-eed1-4a30-89bb-240c33d5cd12", "uuid": "01df5124-eed1-4a30-89bb-240c33d5cd12", "name": "test2", "operation": {     "providerStatus": "NOT_AVAILABLE",     "equinixStatus": "PROVISIONING" }, "order": {     "billingTier": "Up to 50 MB" }, "notifications": [     {     "type": "ALL",     "emails": [         "1eqxnfvuser1@equinix.com"     ]     } ], "changeLog": {     "createdBy": "eqxnfvuser1",     "createdByFullName": "eqxnfvuser eqxnfvuser",     "createdByEmail": "1eqxnfvuser1@equinix.com",     "createdDateTime": "2023-03-27T18:29:53.117Z",     "updatedBy": "eqxnfvuser1",     "updatedByFullName": "eqxnfvuser eqxnfvuser",     "updatedByEmail": "1eqxnfvuser1@equinix.com",     "updatedDateTime": "2023-03-27T18:29:53.117Z" }, "bandwidth": 50, "redundancy": {     "priority": "PRIMARY",     "group": "7a58dd05-f46d-4b1d-a154-2e85c396ea63" }, "aSide": {     "accessPoint": {     "location": {         "metroCode": "DC"     },     "port": {         "type": "XF_PORT",         "href": "https://uat2api.npclouda.equinix.com/fabric/v4/ports/e569f0bb-96d5-6d5e-92e0-387a5c00a379",         "uuid": "e569f0bb-96d5-6d5e-92e0-387a5c00a379",         "name": "eqx-nfv-DC5-L-Dot1q-STD-Pri-1G-JP-2"     },     "linkProtocol": {         "type": "DOT1Q",         "vlanTag": 44     }     } }, "zSide": {     "accessPoint": {     "network": {         "href": "https://uat2api.npclouda.equinix.com/fabric/v4/networks/ecc81fe0-7a96-4e08-94f2-0ab52fae662b",         "uuid": "ecc81fe0-7a96-4e08-94f2-0ab52fae662b",         "name": "EVPLAN-AMER-1",         "platformUuid": "52c6ec8b-4aad-4167-be6d-1972a12d1b83",         "state": "ACTIVE",         "type": "EVPLAN",         "scope": "REGIONAL",         "location": {         "region": "AMER"         }     }     } } } ``` Response payload includes configuration parameters defined in the request body. For a full list of possible parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md). ## Creating a Connection from an Untagged Port to an EPLAN Network[​](#creating-a-connection-from-an-untagged-port-to-an-eplan-network "Direct link to Creating a Connection from an Untagged Port to an EPLAN Network") To create a connection from an Untagged Port to an EPLAN Network, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. Specify your connection's configuration details in the body of the request. ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d ' {   "type": "EPLAN_VC",   "name": "MY-EPLAN-CONNECTION-1",   "bandwidth": 1000,   "aSide": {     "accessPoint": {       "type": "COLO",       "port": {         "uuid": "9127bb72-5f4f-4517-be74-3af7ce612687"       }     }   },   "zSide": {     "accessPoint": {       "type": "NETWORK",       "network": {         "uuid": "25f8884e-85e3-4eaa-8ea9-a7ad2ca5b3c2"       }     }   },   "order": {     "purchaseOrderNumber": "1-129105284100"   },   "notifications": [     {       "type": "ALL",       "emails": [         "test@equinix.com",         "test1@equinix.com"       ]     }   ] }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md). ## Creating a Connection from a Virtual Device to EVPLAN Network[​](#creating-a-connection-from-a-virtual-device-to-evplan-network "Direct link to Creating a Connection from a Virtual Device to EVPLAN Network") To create a connection from a Virtual Device to EVPLAN Network, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. Specify your connection's configuration details in the body of the request. ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d ' {   "type": "EVPLAN_VC",   "name": "MY-VD-EVPLAN-CONNECTION-1",   "bandwidth": 1000,   "aSide": {     "accessPoint": {       "type": "VD",       "virtualDevice": {         "type": "EDGE",         "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"       },       "interface": {         "type": "NETWORK",         "id": 7       }     }   },   "zSide": {     "accessPoint": {       "type": "NETWORK",       "network": {         "uuid": "25f8884e-85e3-4eaa-8ea9-a7ad2ca5b3c2"       }     }   },   "order": {     "purchaseOrderNumber": "1-129105284100"   },   "notifications": [     {       "type": "ALL",       "emails": [         "test@equinix.com",         "test1@equinix.com"       ]     }   ] }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md).